package com.prolog.eis.service.container;

import com.prolog.eis.enums.base.LayerEnum;
import com.prolog.eis.enums.wms.WmsCarryTaskInCode;
import com.prolog.eis.model.container.EmptyContainerTask;
import com.prolog.framework.core.restriction.Criteria;

import java.util.List;

public interface EmptyContainerTaskService {


    void save(String containerNo, LayerEnum layerEnum, WmsCarryTaskInCode wmsCarryTaskInCode);

    List<EmptyContainerTask> findByCriteria(Criteria criteria);

    void deleteById(Integer id);
}
